
<!doctype html>
<html lang="en" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      <link rel="icon" href="assets/images/favicon.png">
      <meta name="generator" content="mkdocs-1.3.0, mkdocs-material-8.5.4">
    
    
      
        <title>Eclipse Hawk™</title>
      
    
    
      <link rel="stylesheet" href="assets/stylesheets/main.80dcb947.min.css">
      
        
        <link rel="stylesheet" href="assets/stylesheets/palette.cbb835fc.min.css">
        
          
          
          <meta name="theme-color" content="#7e56c2">
        
      
      

    
    
    
      
        
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&display=fallback">
        <style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
      
    
    
      <link rel="stylesheet" href="stylesheets/extra.css">
    
    <script>__md_scope=new URL(".",location),__md_hash=e=>[...e].reduce((e,_)=>(e<<5)-e+_.charCodeAt(0),0),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
    
      

    
    
    
<!-- FAVICON -->
<link rel="apple-touch-icon" sizes="180x180" href="assets/images/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="assets/images/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="assets/images/favicon-16x16.png">
<link rel="mask-icon" href="assets/images/safari-pinned-tab.svg" color="#5bbad5">
<link rel="shortcut icon" href="assets/images/favicon.ico">
<meta name="msapplication-TileColor" content="#b91d47">
<meta name="msapplication-config" content="assets/images/browserconfig.xml">
<meta name="theme-color" content="#ffffff">

  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="deep-purple" data-md-color-accent="deep-purple">
  
    
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#eclipse-hawktm" class="md-skip">
          Skip to content
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Header">
    <a href="." title="Eclipse Hawk™" class="md-header__button md-logo" aria-label="Eclipse Hawk™" data-md-component="logo">
      
  <img src="assets/images/hawk-logo-white.svg" alt="logo">

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2Z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            Eclipse Hawk™
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Home
            
          </span>
        </div>
      </div>
    </div>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
      </label>
      <div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Search" placeholder="Search" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" title="Clear" aria-label="Clear" tabindex="-1">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41Z"/></svg>
        </button>
      </nav>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Initializing search
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
      <div class="md-header__source">
        <a href="https://gitlab.eclipse.org/eclipse/hawk/hawk/" title="Go to repository" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Free 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc.--><path d="M439.55 236.05 244 40.45a28.87 28.87 0 0 0-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 0 1-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 0 0 0 40.81l195.61 195.6a28.86 28.86 0 0 0 40.8 0l194.69-194.69a28.86 28.86 0 0 0 0-40.81z"/></svg>
  </div>
  <div class="md-source__repository">
    Git repository @ Eclipse
  </div>
</a>
      </div>
    
  </nav>
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
          
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    


<nav class="md-nav md-nav--primary" aria-label="Navigation" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="." title="Eclipse Hawk™" class="md-nav__button md-logo" aria-label="Eclipse Hawk™" data-md-component="logo">
      
  <img src="assets/images/hawk-logo-white.svg" alt="logo">

    </a>
    Eclipse Hawk™
  </label>
  
    <div class="md-nav__source">
      <a href="https://gitlab.eclipse.org/eclipse/hawk/hawk/" title="Go to repository" class="md-source" data-md-component="source">
  <div class="md-source__icon md-icon">
    
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Free 6.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free (Icons: CC BY 4.0, Fonts: SIL OFL 1.1, Code: MIT License) Copyright 2022 Fonticons, Inc.--><path d="M439.55 236.05 244 40.45a28.87 28.87 0 0 0-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 0 1-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 0 0 0 40.81l195.61 195.6a28.86 28.86 0 0 0 40.8 0l194.69-194.69a28.86 28.86 0 0 0 0-40.81z"/></svg>
  </div>
  <div class="md-source__repository">
    Git repository @ Eclipse
  </div>
</a>
    </div>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      

  
  
    
  
  
    <li class="md-nav__item md-nav__item--active">
      
      <input class="md-nav__toggle md-toggle" data-md-toggle="toc" type="checkbox" id="__toc">
      
      
        
      
      
        <label class="md-nav__link md-nav__link--active" for="__toc">
          Home
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <a href="." class="md-nav__link md-nav__link--active">
        Home
      </a>
      
        

<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#eclipse-update-sites" class="md-nav__link">
    Eclipse update sites
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#plain-libraries" class="md-nav__link">
    Plain libraries
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#thrift-api-libraries" class="md-nav__link">
    Thrift API libraries
  </a>
  
    <nav class="md-nav" aria-label="Thrift API libraries">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#c-libraries" class="md-nav__link">
    C++ libraries
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#javascript-libraries" class="md-nav__link">
    JavaScript libraries
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#python-libraries" class="md-nav__link">
    Python libraries
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#firewall-friendly-artefacts" class="md-nav__link">
    Firewall-friendly artefacts
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#docker-images" class="md-nav__link">
    Docker images
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#source-code" class="md-nav__link">
    Source code
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#older-versions" class="md-nav__link">
    Older versions
  </a>
  
</li>
      
    </ul>
  
</nav>
      
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2" type="checkbox" id="__nav_2" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2">
          Basic use
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Basic use" data-md-level="1">
        <label class="md-nav__title" for="__nav_2">
          <span class="md-nav__icon md-icon"></span>
          Basic use
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="basic-use/installation/" class="md-nav__link">
        Installation
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="basic-use/core-concepts/" class="md-nav__link">
        Core concepts
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="basic-use/examples-xmi/" class="md-nav__link">
        Examples (XMI)
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="basic-use/examples-modelio/" class="md-nav__link">
        Examples (Modelio)
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="basic-use/papyrus/" class="md-nav__link">
        Papyrus UML support
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_3" type="checkbox" id="__nav_3" >
      
      
      
      
        <label class="md-nav__link" for="__nav_3">
          Advanced use
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Advanced use" data-md-level="1">
        <label class="md-nav__title" for="__nav_3">
          <span class="md-nav__icon md-icon"></span>
          Advanced use
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="advanced-use/graph-as-emf/" class="md-nav__link">
        Graph as EMF model
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="advanced-use/advanced-props/" class="md-nav__link">
        Advanced properties
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="advanced-use/meta-queries/" class="md-nav__link">
        Meta-level queries
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="advanced-use/temporal-queries/" class="md-nav__link">
        Temporal queries
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="advanced-use/oomph/" class="md-nav__link">
        Oomph and Hawk
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_4" type="checkbox" id="__nav_4" >
      
      
      
      
        <label class="md-nav__link" for="__nav_4">
          Server
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Server" data-md-level="1">
        <label class="md-nav__title" for="__nav_4">
          <span class="md-nav__icon md-icon"></span>
          Server
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/architecture/" class="md-nav__link">
        Architecture
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/api/" class="md-nav__link">
        Thrift API
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/api-security/" class="md-nav__link">
        Thrift API security
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/deployment/" class="md-nav__link">
        Deployment
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/cli/" class="md-nav__link">
        Console client
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/eclipse/" class="md-nav__link">
        Eclipse client
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/other-languages/" class="md-nav__link">
        Cross-language clients
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/file-config/" class="md-nav__link">
        File-based configuration
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="server/logging/" class="md-nav__link">
        Logging
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_5" type="checkbox" id="__nav_5" >
      
      
      
      
        <label class="md-nav__link" for="__nav_5">
          Developers
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Developers" data-md-level="1">
        <label class="md-nav__title" for="__nav_5">
          <span class="md-nav__icon md-icon"></span>
          Developers
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="developers/run-from-source/" class="md-nav__link">
        Run GUI from source
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="developers/server-from-source/" class="md-nav__link">
        Run Server from source
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="developers/plain-maven/" class="md-nav__link">
        Build with plain Maven
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="developers/website/" class="md-nav__link">
        Work on the website
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_6" type="checkbox" id="__nav_6" >
      
      
      
      
        <label class="md-nav__link" for="__nav_6">
          Community
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Community" data-md-level="1">
        <label class="md-nav__title" for="__nav_6">
          <span class="md-nav__icon md-icon"></span>
          Community
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="https://www.eclipse.org/forums/index.php/f/442/" class="md-nav__link">
        Forum
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="https://gitlab.eclipse.org/eclipse/hawk/hawk/-/issues/new" class="md-nav__link">
        File a bug
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="https://gitlab.eclipse.org/eclipse/hawk/hawk/-/issues" class="md-nav__link">
        Open bugs
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="https://ci.eclipse.org/hawk/" class="md-nav__link">
        Builds
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
      
      
      

  
  
  
    <li class="md-nav__item">
      <a href="additional-resources/" class="md-nav__link">
        Additional resources
      </a>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              
              <div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

<nav class="md-nav md-nav--secondary" aria-label="Table of contents">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Table of contents
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#eclipse-update-sites" class="md-nav__link">
    Eclipse update sites
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#plain-libraries" class="md-nav__link">
    Plain libraries
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#thrift-api-libraries" class="md-nav__link">
    Thrift API libraries
  </a>
  
    <nav class="md-nav" aria-label="Thrift API libraries">
      <ul class="md-nav__list">
        
          <li class="md-nav__item">
  <a href="#c-libraries" class="md-nav__link">
    C++ libraries
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#javascript-libraries" class="md-nav__link">
    JavaScript libraries
  </a>
  
</li>
        
          <li class="md-nav__item">
  <a href="#python-libraries" class="md-nav__link">
    Python libraries
  </a>
  
</li>
        
      </ul>
    </nav>
  
</li>
      
        <li class="md-nav__item">
  <a href="#firewall-friendly-artefacts" class="md-nav__link">
    Firewall-friendly artefacts
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#docker-images" class="md-nav__link">
    Docker images
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#source-code" class="md-nav__link">
    Source code
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#older-versions" class="md-nav__link">
    Older versions
  </a>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          
            <div class="md-content" data-md-component="content">
              <article class="md-content__inner md-typeset">
                
                  


<h1 id="eclipse-hawktm">Eclipse Hawk™<a class="headerlink" href="#eclipse-hawktm" title="Permanent link">&para;</a></h1>
<p>Eclipse Hawk is a model indexing solution that can take models written with various technologies and turn them into graph databases, for easier and faster querying.</p>
<p>Hawk is licensed under the <a href="https://www.eclipse.org/legal/epl-2.0/">Eclipse Public License 2.0</a>, with the <a href="https://www.gnu.org/licenses/gpl-3.0.en.html">GNU GPL 3.0</a> as secondary license.</p>
<div class="admonition question">
<p class="admonition-title">Any questions?</p>
<p>Check the other sections on the left for how to get started and use Hawk. If you cannot find an answer there, feel free to ask at the <a href="https://www.eclipse.org/forums/index.php/sf/thread/442/sub/0/?SQ=c1bf1ac983010df5037be417b0a8d5a1">official forum in Eclipse.org</a>.</p>
</div>
<h2 id="eclipse-update-sites">Eclipse update sites<a class="headerlink" href="#eclipse-update-sites" title="Permanent link">&para;</a></h2>
<p>The core components of Hawk, the OrientDB / Greycat / SQLite backends, and the Thrift API clients can be installed from one of these Eclipse update sites:</p>
<table>
<thead>
<tr>
<th>Site</th>
<th>Location</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="https://download.eclipse.org/hawk/2.2.0/updates/">https://download.eclipse.org/hawk/2.2.0/updates/</a></td>
</tr>
<tr>
<td>Interim</td>
<td><a href="https://download.eclipse.org/hawk/2.3.0/updates/">https://download.eclipse.org/hawk/2.3.0/updates/</a></td>
</tr>
</tbody>
</table>
<p>If you are developing a custom Hawk server, you will find the Hawk server components in these update sites:</p>
<table>
<thead>
<tr>
<th>Site</th>
<th>Location</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="https://download.eclipse.org/hawk/2.2.0/server/">https://download.eclipse.org/hawk/2.2.0/server/</a></td>
</tr>
<tr>
<td>Interim</td>
<td><a href="https://download.eclipse.org/hawk/2.3.0/server/">https://download.eclipse.org/hawk/2.3.0/server/</a></td>
</tr>
</tbody>
</table>
<h2 id="plain-libraries">Plain libraries<a class="headerlink" href="#plain-libraries" title="Permanent link">&para;</a></h2>
<p>Many of the Eclipse Hawk components are available via Maven Central under the <code>org.eclipse.hawk</code> group ID:</p>
<table>
<thead>
<tr>
<th>Site</th>
<th>Repository</th>
<th>Group ID</th>
<th>Version</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="https://search.maven.org/search?q=g:org.eclipse.hawk">Maven Central</a></td>
<td>org.eclipse.hawk</td>
<td>2.2.0</td>
</tr>
<tr>
<td>Interim</td>
<td><a href="https://oss.sonatype.org/#nexus-search;gav~org.eclipse.hawk~~2.3.0-SNAPSHOT~~">OSSRH</a></td>
<td>org.eclipse.hawk</td>
<td>2.3.0-SNAPSHOT</td>
</tr>
</tbody>
</table>
<h2 id="thrift-api-libraries">Thrift API libraries<a class="headerlink" href="#thrift-api-libraries" title="Permanent link">&para;</a></h2>
<p>There are <a href="http://thrift.apache.org/">Apache Thrift</a> client libraries targeting C++, Java, JavaScript, and Python for talking with a Hawk server over its Thrift API. The Java libraries are available as Maven artefacts (see above). The C++ and JavaScript libraries can be downloaded from the links below.</p>
<h3 id="c-libraries">C++ libraries<a class="headerlink" href="#c-libraries" title="Permanent link">&para;</a></h3>
<table>
<thead>
<tr>
<th>Site</th>
<th>Location</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="http://download.eclipse.org/hawk/2.2.0/hawk-thrift-cpp-2.2.0.tar.gz">http://download.eclipse.org/hawk/2.2.0/hawk-thrift-cpp-2.2.0.tar.gz</a></td>
</tr>
<tr>
<td>Interim</td>
<td><a href="http://download.eclipse.org/hawk/2.3.0/hawk-thrift-cpp-2.3.0.tar.gz">http://download.eclipse.org/hawk/2.3.0/hawk-thrift-cpp-2.3.0.tar.gz</a></td>
</tr>
</tbody>
</table>
<h3 id="javascript-libraries">JavaScript libraries<a class="headerlink" href="#javascript-libraries" title="Permanent link">&para;</a></h3>
<table>
<thead>
<tr>
<th>Site</th>
<th>Location</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="http://download.eclipse.org/hawk/2.2.0/hawk-thrift-js-2.2.0.tar.gz">http://download.eclipse.org/hawk/2.2.0/hawk-thrift-js-2.2.0.tar.gz</a></td>
</tr>
<tr>
<td>Interim</td>
<td><a href="http://download.eclipse.org/hawk/2.3.0/hawk-thrift-js-2.3.0.tar.gz">http://download.eclipse.org/hawk/2.3.0/hawk-thrift-js-2.3.0.tar.gz</a></td>
</tr>
</tbody>
</table>
<h3 id="python-libraries">Python libraries<a class="headerlink" href="#python-libraries" title="Permanent link">&para;</a></h3>
<table>
<thead>
<tr>
<th>Site</th>
<th>Location</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="http://download.eclipse.org/hawk/2.2.0/hawk-thrift-py-2.2.0.tar.gz">http://download.eclipse.org/hawk/2.2.0/hawk-thrift-py-2.2.0.tar.gz</a></td>
</tr>
<tr>
<td>Interim</td>
<td><a href="http://download.eclipse.org/hawk/2.3.0/hawk-thrift-py-2.3.0.tar.gz">http://download.eclipse.org/hawk/2.3.0/hawk-thrift-py-2.3.0.tar.gz</a></td>
</tr>
</tbody>
</table>
<h2 id="firewall-friendly-artefacts">Firewall-friendly artefacts<a class="headerlink" href="#firewall-friendly-artefacts" title="Permanent link">&para;</a></h2>
<p>For environments with corporate firewalls, the zipped update sites, zipped source code, and prebuilt CLI/server products for Linux, MacOS and Windows are available from the download folders:</p>
<table>
<thead>
<tr>
<th>Folder</th>
<th>Location</th>
</tr>
</thead>
<tbody>
<tr>
<td>Stable</td>
<td><a href="https://download.eclipse.org/hawk/2.2.0/">https://download.eclipse.org/hawk/2.2.0/</a></td>
</tr>
<tr>
<td>Interim</td>
<td><a href="https://download.eclipse.org/hawk/2.3.0/">https://download.eclipse.org/hawk/2.3.0/</a></td>
</tr>
</tbody>
</table>
<h2 id="docker-images">Docker images<a class="headerlink" href="#docker-images" title="Permanent link">&para;</a></h2>
<p>Docker images for the Hawk Server are available from the <a href="https://gitlab.com/hawklabs/hawk-docker/">hawk-docker</a> project at Hawk Labs.
These Docker images are rebuilt at least once a week, or whenever there are new changes in Hawk.</p>
<h2 id="source-code">Source code<a class="headerlink" href="#source-code" title="Permanent link">&para;</a></h2>
<p>To access the source code, clone the Git repository for Hawk with your preferred client from:</p>
<div class="codehilite"><pre><span></span><code>https://gitlab.eclipse.org/eclipse/hawk/hawk.git
</code></pre></div>

<p>Committers will use a different URL:</p>
<div class="codehilite"><pre><span></span><code>git@gitlab.eclipse.org:eclipse/hawk/hawk.git
</code></pre></div>

<p>You can also read the code through your browser from the <a href="https://gitlab.eclipse.org/eclipse/hawk/hawk/-/tree/master">Eclipse Gitlab instance</a> (which allows for archive downloads).</p>
<h2 id="older-versions">Older versions<a class="headerlink" href="#older-versions" title="Permanent link">&para;</a></h2>
<p>Downloads for older versions are archived at Eclipse.org:</p>
<ul>

<li><a href="http://download.eclipse.org/hawk/2.0.0/">2.0.0</a></li>

<li><a href="http://download.eclipse.org/hawk/2.1.0/">2.1.0</a></li>

</ul>





                
              </article>
            </div>
          
          
        </div>
        
      </main>
      
        
<footer class="md-footer">
  
    <div class="md-footer-nav">
      <nav class="md-footer-nav__inner md-grid">
        
        
          <a href="basic-use/installation/" title="Installation" class="md-flex md-footer-nav__link md-footer-nav__link--next" rel="next">
            <div class="md-flex__cell md-flex__cell--stretch md-footer-nav__title">
              <span class="md-flex__ellipsis">
                <span class="md-footer-nav__direction">
                  Next
                </span>
                Installation
              </span>
            </div>
            <div class="md-flex__cell md-flex__cell--shrink">
              <i class="md-icon md-icon--arrow-forward md-footer-nav__button"></i>
            </div>
          </a>
        
      </nav>
    </div>
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-footer-copyright">
        
          <div class="md-footer-copyright__highlight">
            Copyright © Eclipse Foundation, Inc. All Rights Reserved.
          </div>
        
        powered by
        <a href="https://www.mkdocs.org">MkDocs</a>
        and
        <a href="https://squidfunk.github.io/mkdocs-material/">Material for MkDocs</a>
      </div>
      <div class="md-footer-copyright hawk-eclipse-links">
          <ul>
              <li><a href="https://www.eclipse.org/legal/privacy.php">Privacy Policy</a></li>
              <li><a href="https://www.eclipse.org/legal/termsofuse.php">Terms of Use</a></li>
              <li><a href="https://www.eclipse.org/legal/copyright.php">Copyright Agent</a></li>
          </ul>
      </div>
      <div class="md-social">
  
</div>
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    
    <script id="__config" type="application/json">{"base": ".", "features": [], "search": "assets/javascripts/workers/search.5bf1dace.min.js", "translations": {"clipboard.copied": "Copied to clipboard", "clipboard.copy": "Copy to clipboard", "search.config.lang": "en", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "Search", "search.result.more.one": "1 more on this page", "search.result.more.other": "# more on this page", "search.result.none": "No matching documents", "search.result.one": "1 matching document", "search.result.other": "# matching documents", "search.result.placeholder": "Type to start searching", "search.result.term.missing": "Missing", "select.version.title": "Select version"}}</script>
    
    
      <script src="assets/javascripts/bundle.078830c0.min.js"></script>
      
    
  </body>
</html>